#
# spec file for package TeXmacs (Version 1.0.6.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gmp gmp-devel gnome-filesystem gpm grep groff guile guile-devel gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           TeXmacs
BuildRequires:  freetype2-devel gcc-c++ guile-devel shared-mime-info update-desktop-files xorg-x11-devel
Summary:        A Structured WYSIWYG Scientific Text Editor
Group:          Productivity/Editors/Other
Version:        1.0.6.9
Release:        3.1
License:        GNU General Public License (GPL)
Requires:       tetex guile gnome-filesystem
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.texmacs.org/
Source:         TeXmacs-%{version}-src.tar.bz2
Patch4:         TeXmacs-mime.patch
Patch5:         TeXmacs-makefile.patch
Patch7:         TeXmacs-cflags.patch
Patch8:         TeXmacs-random.patch
Patch9:         TeXmacs-null.patch
Patch10:        %{name}-%{version}-64bit.patch

%description
GNU TeXmacs is a free scientific text editor, inspired by TeX and GNU
Emacs. The editor allows you to write structured documents via a
WYSIWYG (what-you-see-is-what-you-get) and user friendly interface. New
styles can be created by the user. The program implements high-quality
typesetting algorithms and TeX fonts, which help you to produce
professional looking documents.

The high typesetting quality still goes through for automatically
generated formulas, which makes TeXmacs suitable as an interface for
computer algebra systems. TeXmacs also supports the Guile/Scheme
extension language, so that you may customize the interface and write
your own extensions to the editor.

In the future, TeXmacs is planned to evolve towards a complete
scientific office suite, with spreadsheet capabilities, a technical
drawing editor, and a presentation mode.



Authors:
--------
    Joris van der Hoeven

%debug_package
%prep
%setup -q -n TeXmacs-%{version}-src
%patch4
%patch5
%patch7
%patch8
%patch9
%{?suse_update_config:%{suse_update_config -f ./}}
rm -f config.cache
%patch10

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
autoreconf -f -i
./configure \
    --prefix=%{_prefix} \
    --libexec=/usr/%_lib \
    --datadir=%{_datadir} \
    --mandir=%{_mandir} \
    --enable-optimize="$RPM_OPT_FLAGS"
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT STRIP=: install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mv $RPM_BUILD_ROOT/usr/share/TeXmacs/misc/mime/*.desktop $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
ln -s /usr/share/TeXmacs/misc/pixmaps/TeXmacs.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/icons/hicolor/48x48/mimetypes
ln -s /usr/share/TeXmacs/misc/pixmaps/TeXmacs.xpm $RPM_BUILD_ROOT/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-text-x-texmacs.xpm
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/application-registry
mv $RPM_BUILD_ROOT/usr/share/TeXmacs/misc/mime/texmacs.applications $RPM_BUILD_ROOT/opt/gnome/share/application-registry
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/mime-info
mv $RPM_BUILD_ROOT/usr/share/TeXmacs/misc/mime/texmacs.{keys,mime} $RPM_BUILD_ROOT/opt/gnome/share/mime-info
rmdir $RPM_BUILD_ROOT/usr/share/TeXmacs/misc/mime
rmdir $RPM_BUILD_ROOT/usr/%_lib/TeXmacs/lib
DESTDIR=$RPM_BUILD_ROOT mime-info-to-mime
%suse_update_desktop_file texmacs Office WordProcessor

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime > /dev/null
fi

%postun
if [ -f /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime > /dev/null
fi

%files
%defattr(-, root, root)
%doc TeXmacs/COPYING LICENSE TeXmacs/README TeXmacs/TEX_FONTS
%{_bindir}/*
%{_includedir}/TeXmacs.h
%doc %{_mandir}/*/* 
/usr/%_lib/TeXmacs
%{_datadir}/TeXmacs
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.xpm
%{_datadir}/mime/packages/*.xml
/opt/gnome/share/application-registry/*.applications
# NOTE: Own directory - we do not want to depend on gnome-icon-theme
/opt/gnome/share/icons/hicolor
#/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-text-x-texmacs.xpm
/opt/gnome/share/mime-info/*.*

%changelog
* Tue Mar 20 2007 - pgajdos@suse.cz
- update to 1.0.6.9 to fix problem with use with
  new guile [#232997]
- fixing crash on 64bit computer [#228035]
  - 64bit.patch
* Sun Oct 15 2006 - ro@suse.de
- update to 1.0.6.6 to fix build
  - bugfix release
* Thu Oct 12 2006 - ro@suse.de
- added gmp-devel to BuildRequires
* Wed May 24 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - sbrabec@suse.cz
- Do not require shared-mime-info.
* Tue Jan 17 2006 - sbrabec@suse.cz
- Updated to version 1.0.6.
* Sun Nov 13 2005 - schwab@suse.de
- Fix use of friend injection.
- Fix warnings.
* Fri Oct 28 2005 - ro@suse.de
- change GZIP to MGZIP in makefile (gzip uses $GZIP as options)
* Thu Sep 08 2005 - ro@suse.de
- added prereq for postinstall script
* Wed Sep 07 2005 - sbrabec@suse.cz
- Fixed desktop icon and MIME bindings (#105832).
* Thu Jul 14 2005 - sbrabec@suse.cz
- Updated to version 1.0.5.
* Mon May 23 2005 - yxu@suse.de
- fixed for GCC4
* Thu Apr 28 2005 - yxu@suse.de
- fixed building on Itanium
- fixed serious compiler warings
* Tue Apr 26 2005 - sbrabec@suse.cz
- Updated to version 1.0.4.7.
- Fixed invalid casts.
* Thu Jan 06 2005 - sbrabec@suse.cz
- Updated to version 1.0.4.5.
* Mon Oct 04 2004 - sbrabec@suse.cz
- Fixed architecture detection for AMD64 (#45525).
* Thu Sep 02 2004 - sbrabec@suse.cz
- Install properly mime info.
* Wed Sep 01 2004 - sbrabec@suse.cz
- Updated to version 1.0.4.2.
* Wed Aug 18 2004 - sbrabec@suse.cz
- Updated to version 1.0.4.1.
* Wed Mar 03 2004 - sbrabec@suse.cz
- Updated to version 1.0.3.3.
* Thu Feb 05 2004 - sbrabec@suse.cz
- Updated to version 1.0.3.2.
* Tue Jan 20 2004 - ltinkl@suse.cz
- update to latest stable version (1.0.3)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Aug 11 2003 - sbrabec@suse.cz
- Updated to version 1.0.1.21.
* Mon Jun 16 2003 - coolo@suse.de
- package directories
* Fri Dec 20 2002 - sbrabec@suse.cz
- Updated to version 1.0.1.
* Thu Dec 05 2002 - sbrabec@suse.cz
- Updated to version 1.0.0.24.
* Tue Dec 03 2002 - sbrabec@suse.cz
- Updated to version 1.0.0.23.
* Fri Sep 06 2002 - mcihar@suse.cz
- keyboard is now working (patch from upstream 1.0.0.13)
* Fri Aug 09 2002 - mcihar@suse.de
- updated to 1.0.0.12:
  * Complete change of the keyboard behaviour.
  * Automatic detection and configuration of modifier keys.
  * Automatic translation of menus in the documentation.
  * Guile/Scheme scripts inside documents.
  * Wildcard system for keyboard shortcuts.
  * Keyboard shortcuts in the menus are determined automatically.
  * Further reorganization of the menus.
  * Support for grey menu items, checkmarks and ... in menus.
  * Automatic determination of keyboard shortcuts in menus.
  * Widgets are now attached to the current display at creation
  time.
  * Improved reduce and axiom interfaces.
  * Replaced the gencc preprocessor by the more standard template
  system of C++.
- removed undeeded patches
* Thu Jul 18 2002 - mcihar@suse.cz
- again applied forgotten patch for ia64
* Tue Jul 16 2002 - mcihar@suse.cz
- updated to 1.0.0.9:
  * Headers and footers through menus.
  * Support for user preferences.
  * Improved math support, support for Giac computer algebra system.
  * Added a presentation mode.
  * Visual environment information when editing.
  * New styles.
  * Implementation of overline and underline macros.
  * Some small improvements in LaTeX to TeXmacs converter.
  * Enhanced online help, now contains also examples.
* Wed Jun 05 2002 - mcihar@suse.cz
- fixed build on ia64
* Mon May 20 2002 - mcihar@suse.cz
- created new package (version 1.0.0.3)
